be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDPATIENTWILLRESvalues

- java.lang.Object
- - java.lang.Enum<CDPATIENTWILLRESvalues>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDPATIENTWILLRESvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDPATIENTWILLRESvalues>

      public enum CDPATIENTWILLRESvalues
      extends Enum<CDPATIENTWILLRESvalues>

  Java class for CD-PATIENTWILL-RESvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-PATIENTWILL-RESvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="dnr0"/>
           <enumeration value="dnr1"/>
           <enumeration value="dnr2"/>
           <enumeration value="dnr3"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DNR_0`
    `DNR_1`
    `DNR_2`
    `DNR_3`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDPATIENTWILLRESvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDPATIENTWILLRESvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDPATIENTWILLRESvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DNR_0

          public static final CDPATIENTWILLRESvalues DNR_0

    - #### DNR_1

          public static final CDPATIENTWILLRESvalues DNR_1

    - #### DNR_2

          public static final CDPATIENTWILLRESvalues DNR_2

    - #### DNR_3

          public static final CDPATIENTWILLRESvalues DNR_3

  - ### Method Detail

    - #### values

          public static CDPATIENTWILLRESvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDPATIENTWILLRESvalues c : CDPATIENTWILLRESvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDPATIENTWILLRESvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDPATIENTWILLRESvalues fromValue(String v)

Connector Packaging generic 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.